iGalerie

Vous n'êtes pas identifié(e).

#1 12-02-2016 18:25:51

ericdescollines
Membre
Inscription : 12-02-2016
Messages : 36

Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

Bonsoir, j'ai par mégarde fait la mise à jour de iGallery, et mon serveur mutualisé n'est que sous PHP 5.3
Du coup pour l'instant plus rien ne semble fonctionner.
Comment faire pour télécharger de nouveau une ancienne version compatible ?
Cordialement,
Eric

Hors ligne

#2 12-02-2016 18:49:14

David
Développeur d'iGalerie
Inscription : 12-05-2006
Messages : 3 967
Site Web

Re : Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

Salut,

Même la version 5.4 de PHP n'est plus supportée aujourd'hui. Ton hébergeur doit donc pouvoir te proposer au minimum la version 5.5, par exemple via une ligne à insérer dans le fichier .htaccess.

Hors ligne

#3 13-02-2016 18:55:49

ericdescollines
Membre
Inscription : 12-02-2016
Messages : 36

Re : Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

Oui je sais bien, pour l'instant je suis encore engagé 1 an avec eux... Du coup je ne peux plus utiliser cette excellente appli iGalerie alors que l'ancienne version fonctionnait très bien. D'où ma demande pour avoir les sources installables compatibles au maximum avec 5.3..

Hors ligne

#4 14-02-2016 16:37:18

David
Développeur d'iGalerie
Inscription : 12-05-2006
Messages : 3 967
Site Web

Re : Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

Tu peux télécharger la version 2.3.6 ici :
http://www.igalerie.org/igalerie-2.3.6.zip

Hors ligne

#5 16-02-2016 09:02:59

ericdescollines
Membre
Inscription : 12-02-2016
Messages : 36

Re : Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

Merci :-)

Hors ligne

#6 16-02-2016 10:55:38

gilisa
Membre
Lieu : Région parisienne (sud)
Inscription : 23-04-2012
Messages : 138
Site Web

Re : Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

Bonjour,

David a écrit :

Salut,
Même la version 5.4 de PHP n'est plus supportée aujourd'hui.

Entre la théorie et la pratique, il y a parfois un monde, par exemple chez Free PHP Version 5.1.3RC4
Autrement depuis la 2.1.7 j'ai toutes les versions, mais chut !!! wink
Par mail privé si besoin, sur gilisa at "gratuit en anglais".fr

Cordialement.
GG.

Dernière modification par gilisa (16-02-2016 11:14:05)

Hors ligne

#7 16-02-2016 14:38:57

David
Développeur d'iGalerie
Inscription : 12-05-2006
Messages : 3 967
Site Web

Re : Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

Chez Free la version PHP 5.6.8 est disponible en ajoutant les lignes qu'il faut dans le .htaccess. Par contre, comme InnoDB n'est pas disponible avec MySQL, iGalerie ne pourra pas fonctionner correctement...

Hors ligne

#8 16-02-2016 18:49:11

gilisa
Membre
Lieu : Région parisienne (sud)
Inscription : 23-04-2012
Messages : 138
Site Web

Re : Comment télécharger une ancienne version compatible avec PHP 5.2.6/5.3

David a écrit :

Par contre, comme InnoDB n'est pas disponible avec MySQL, iGalerie ne pourra pas fonctionner correctement...

Bien là le pb, mais ce n'est pas grave, Free ne sait pas ce qu'il perd. smile

--
Cordialement.
GG.

Hors ligne

Pied de page des forums